Bug 1448562 - Core was generated by `mpathpersist -o -G -S 1AA00C5202 /dev/mapper/mpathf' [NEEDINFO]
Summary: Core was generated by `mpathpersist -o -G -S 1AA00C5202 /dev/mapper/mpathf'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: device-mapper-multipath
Version: 7.4
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ben Marzinski
QA Contact: Lin Li
URL:
Whiteboard:
Depends On: 1447328 1497083
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-05 18:22 UTC by Ben Marzinski
Modified: 2017-09-29 07:17 UTC (History)
11 users (show)

Fixed In Version: device-mapper-multipath-0.4.9-110.el7
Doc Type: Bug Fix
Doc Text:
Cause: mpathpersist could try to join pthreads that were never created (and thus initialized), when it was trying to rollback a failed reservation Consequence: mpathpersist could crash on failed reservations Fix: mpathpersist no longer joins pthreads that were never created Result: mpathpersist no longer crashes on failed reservations.
Clone Of: 1447328
Environment:
Last Closed: 2017-08-01 16:36:55 UTC
Target Upstream Version:
lilin: needinfo? (nkshirsa)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1961 normal SHIPPED_LIVE device-mapper-multipath bug fix and enhancement update 2017-08-01 17:56:09 UTC

Comment 1 Ben Marzinski 2017-05-12 21:52:19 UTC
Fixed mpathpersist so that it doesn't try to join pthreads that weren't actually created.

Comment 8 errata-xmlrpc 2017-08-01 16:36:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1961


Note You need to log in before you can comment on or make changes to this bug.